## acpi-support 0.143

=== debian/changelog ===
acpi-support (0.143-5.2.0antix1) unstable; urgency=medium

  * include runit scripts 

 -- anticapitalista <antix@operamail.com>  Sat, 02 Nov 2024 14:46:39 +0200

acpi-support (0.143-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 01:04:40 +0200

acpi-support (0.143-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 11:50:33 +0200

acpi-support (0.143-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Add missing Pre-Depends: ${misc:Pre-Depends} in acpi-support.

  [ Josue Ortega ]
  * Remove tab characters from debian/control
  * Add support for cinnamon-screen-saver. Closes: #822620
  * Fix FTCBFS, thanks to Helmut Grohne <helmut@subdivi.de>
    for the patch: (Closes: #897093)
    + Let dh_auto_build pass cross tools to make.
    + Allow substituting build tools in fakekey Makefile.

 -- Josue Ortega <josue@debian.org>  Sun, 19 Apr 2020 11:28:23 -0600

acpi-support (0.143-4) unstable; urgency=medium

  * Add condicion to check for AC Power in acpi-support.serice. Thanks
    to Shannon Brady for the patch <shannonbrady@google.com> Closes: #946600
  * Remove pm-powersave invocation from debian/addons/scripts/power.sh.
    pm-powersave is no longer a package dependency. Closes: #940158
  * Bump Standards-Version to 4.4.1. No changes required
  * debian/control: Add Rules-Requires-Root field

 -- Josue Ortega <josue@debian.org>  Mon, 30 Dec 2019 15:14:11 -0600

acpi-support (0.143-3) unstable; urgency=medium

  * debian/acpi-fakekey.socket: Update ListenFIFO path to use
    /run/acpi_fakekey instead of legacy /var/run. Closes: #932104
  * Drop pm-utils dependendency. Thanks to Michael Biebl
    <biebl@debian.org> for the patch. Closes: #931689
  * Update debian/source/format to 3.0:
    - debian/rules: Remove dh-quilt-addon
  * Remove maintainer scripts supporting ancient package version
  * Remove quilt from build dependencies

 -- Josue Ortega <josue@debian.org>  Sun, 01 Sep 2019 15:15:59 -0600

acpi-support (0.143-2) unstable; urgency=medium

  * Fix installation of default configuration file for acpi-support.
    Closes: #935087

 -- Josue Ortega <josue@debian.org>  Mon, 19 Aug 2019 06:34:39 -0600

acpi-support (0.143-1) unstable; urgency=medium

  * New upstream release (0.143)
  * New maintainer. Closes: #932786
  * Move linked libraries to the end of the build command. Thanks to
    Reiner Herrmann <reiner@reiner-h.de> for the patch. Closes: #925626
  * Update package to use debhelper-compat (= 12)
     - Remove build dependency on dh-systemd
     - debian/rules: Remove systemd-sequence
  * debian/copyright: Update file to machine-readable format (DEP-5)
  * Add ${misc:Pre-Depends} as Pre Dependency for acpi-fakekey package
  * Add acpi-support.default file
  * Remove systemd files from acpi-fakekey.install
  * debian/rules:
    - Add --no-start option to dh_installinit for acpi-fakekey package
    - Update assignation of DEB_HOST_ARCH to use ?=
  * acpi-fakekey.service:
    - Add Install section with Also and WantedBy keys.
    - Add Documentation key
  * Add acpi-support.service unit
  * Change delegation of lid and power events to current logind
    system. Thanks to Mark Hindley <mark@hindley.org.uk> for the
    patch. (Closes: #919942)
  * Bump Standards-Version to 4.4.0. No changes required

 -- Josue Ortega <josue@debian.org>  Sat, 17 Aug 2019 20:15:40 -0600

acpi-support (0.142-9) unstable; urgency=medium

  [ Michael Meskes ]
  * Orphan package

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

 -- Michael Meskes <meskes@debian.org>  Tue, 23 Jul 2019 10:41:13 +0200

acpi-support (0.142-8) unstable; urgency=medium

  * Handle the case of no active dbus. (Closes: #798362)

 -- Michael Meskes <meskes@debian.org>  Thu, 24 Sep 2015 14:55:22 +0200

acpi-support (0.142-7) unstable; urgency=medium

  * Made package build with the merged libsystemd-dev package.
    Thanks to Michael Biebl <biebl@debian.org> (Closes: #779741)
  * Fixed wording in README.Debian to not point to a file that no longer
    exists. (Closes: #774311)
  * Only try using ck-list-sessions if binary is available. (Closes: #791698)
  * Execute xlock in background because it blocks which prevents suspend.
    (Closes: #770539)
  * Init script now declares DBus system bus as required. (Closes: #769326)
  * Made AC check accept more different names for the AC interface.
    (Closes: #774110)

 -- Michael Meskes <meskes@debian.org>  Tue, 01 Sep 2015 11:58:52 +0200

acpi-support (0.142-6) unstable; urgency=medium

  * Fixed typo (Closes: #767953)
  * Adjust power.sh to the fact that AC adapters go by different names.
    (Closes: #766632, #767947)

 -- Michael Meskes <meskes@debian.org>  Mon, 10 Nov 2014 03:49:41 +0100

acpi-support (0.142-5) unstable; urgency=medium

  * /etc/acpi/power.sh needs to figure out which pm-powersave option to use.
    Both, plugging and unplugging, create an ac and a battery event.
    (Closes: #761458)
  * Make power-funcs work even if ck-list-sessions does not return anything
    useful. (Closes: #762176, 763134)
  * Bumped Standards-Version to 3.9.6, no changes needed.
  * Only accept systemd as power management daemon for some events as it
    doesn't handle e.g. battery events. (Closes: #754450)

 -- Michael Meskes <meskes@debian.org>  Tue, 21 Oct 2014 18:40:40 +0200

acpi-support (0.142-4) unstable; urgency=high

  * SECURITY UPDATE: unquoted variables that are computed from user processes
    - quote variables in policy-funcs, power-funcs, screenblank, lid.sh
    - CVE-2014-0484

 -- Michael Meskes <meskes@debian.org>  Wed, 03 Sep 2014 19:12:57 +0200

acpi-support (0.142-3) unstable; urgency=medium


