=== debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Josue Ortega <josue@debian.org>
Build-Depends: debhelper-compat (= 12), pkg-config
Vcs-Git: https://salsa.debian.org/debian/acpi-support.git
Vcs-Browser: https://salsa.debian.org/debian/acpi-support
Standards-Version: 4.4.1
Rules-Requires-Root: no

Package: acpi-support
Architecture: all
Depends: acpi-support-base (>= 0.109-1), x11-xserver-utils, acpid (>= 1.0.4),
 lsb-base (>= 1.3-9), ${arch:Depends},
 ${misc:Depends}
Recommends: rfkill, acpi-fakekey
Suggests: radeontool, vbetool, xinput,
 xscreensaver|gnome-screensaver|kscreensaver|xautolock|xlock|xtrlock|i3lock|cinnamon-screensaver,
 ${arch:Suggests}
Breaks: uswsusp (<= 0.2)
Pre-Depends: ${misc:Pre-Depends}
Description: scripts for handling many ACPI events
 This package contains scripts to react to various ACPI events. It only
 includes scripts for events that can be supported with some level of
 safety cross platform.
 .
 It is able to:
  * Detect loss and gain of AC power, lid closure, and the press of a
    number of specific buttons (on Asus, IBM, Lenovo, Panasonic, Sony
    and Toshiba laptops).
  * Suspend, hibernate and resume the computer, with workarounds for
    hardware that needs it.
  * On some laptops, set screen brightness.
 .
 Besides some system tools acpi-support recommends vbetool to be able to power
 off the screen and some screensavers to be able to lock the screen on lid
 close.

Package: acpi-support-base
Architecture: all
Depends: acpid (>= 1.0.4), ${misc:Depends}
Suggests: acpi-support, consolekit
Replaces: acpi-support (<< 0.109-1)
Description: scripts for handling base ACPI events such as the power button
 This package contains scripts to react to various base ACPI events
 such as the power button. For more extensive ACPI support, including support
 for suspend-to-RAM and for various laptop features, install the package
 "acpi-support".

Package: acpi-fakekey
Architecture: i386 amd64 ia64
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Replaces: acpi-support (<< 0.136-1)
Breaks: acpi-support (<< 0.136-1)
Description: tool to generate fake key events
 This package contains a small tool that can be used to generate key events as
 if the corresponding key was pressed. It is used by scripts processing ACPI
 events to translate these events to key presses but can also be used
 separately.
