## acpi-support 0.143build1

=== debian/changelog ===
acpi-support (0.143build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:09:11 +0200

acpi-support (0.143) disco; urgency=medium

  * debian/control: Update Vcs-*: URLs
  * debian/gbp.conf: Add default configuration
  * Drop obsolete bzr-buildpackage config

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 31 Jan 2019 17:28:22 +0700
