## acpi-support 0.143-5.2trisquel1

=== debian/changelog ===
acpi-support (0.143-5.2trisquel1) ecne; urgency=medium

  * Readd package from debian trixie

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Apr 2025 06:00:13 +0000
