=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: acpi-support
 Section: admin
 Priority: optional
-Maintainer: Josue Ortega <josue@debian.org>
-Build-Depends: debhelper-compat (= 12), pkg-config
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Build-Depends: debhelper-compat (= 12),
+ libsystemd-dev [linux-any], pkg-config
 Vcs-Git: https://salsa.debian.org/debian/acpi-support.git
 Vcs-Browser: https://salsa.debian.org/debian/acpi-support
 Standards-Version: 4.4.1
@@ -50,7 +51,7 @@
 Package: acpi-fakekey
 Architecture: i386 amd64 ia64
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: acpi-support (<< 0.136-1)
 Breaks: acpi-support (<< 0.136-1)
 Description: tool to generate fake key events
