## acpi-support 0.144

=== debian/changelog ===
acpi-support (0.144) jammy; urgency=medium

  * Use dpkg-source format 3.0 (native)
  * debian/control: Drop obsolete DM-Upload-Allowed
  * Switch to debhelper 13 (version 5 is not supported any more)
  * Do not create empty /usr/bin directory (LP: #1374981)
  * Update debian/copyright
  * Do not fail to install if restarting acpid fails (LP: #1938088)
  * Drop unsupported architectures ia64 and lpia
  * Bump Standards-Version to 4.6.0

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 14 Apr 2022 18:54:07 +0200
