=== debian/control ===
Source: acpi-support
Section: admin
Priority: optional
Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Bart Samwel <bart@samwel.tk>
Uploaders: Loic Minier <lool@dooz.org>, Raphael Hertzog <hertzog@debian.org>
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://git.launchpad.net/acpi-support -b ubuntu/master
XS-Orig-Vcs-Svn: svn://svn.debian.org/collab-maint/deb-maint/acpi-support/trunk
XS-Orig-Vcs-Browser: https://git.launchpad.net/acpi-support/?h=ubuntu/master
Standards-Version: 4.6.0

Package: acpi-support
Architecture: amd64 i386
Depends: acpid (>= 1.0.4-1ubuntu4), ${misc:Depends}
Recommends: toshset [i386 amd64], wireless-tools
Conflicts: uswsusp (<= 0.2)
Description: scripts for handling many ACPI events
 This package contains scripts to react to various ACPI events. It only
 includes scripts for events that can be supported with some level of
 safety cross platform.
 .
 It is able to:
  * Detect loss and gain of AC power, lid closure, and the press of a
    number of specific buttons (on Asus, IBM, Lenovo, Panasonic, Sony
    and Toshiba laptops).
  * Suspend, hibernate and resume the computer, with workarounds for
    hardware that needs it.
  * On some laptops, set screen brightness.
